FacetParams.FacetDateOther (Solr 3.6.2 API)
Keywords: org.apache.solr.common.params.FacetParams.FacetDateOther class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.solr.common.params
Enum FacetParams.FacetDateOther

    java.lang.Object
      java.lang.Enum<FacetParams.FacetDateOther>
          org.apache.solr.common.params.FacetParams.FacetDateOther

All Implemented Interfaces:
  Serializable, Comparable<FacetParams.FacetDateOther>

Enclosing interface:
  FacetParams

Deprecated. Use `FacetParams.FacetRangeOther`

    @Deprecated
    public static enum FacetParams.FacetDateOther

extends Enum<FacetParams.FacetDateOther>

Enum Constant Summary
`AFTER` Deprecated.
`ALL` Deprecated.
`BEFORE` Deprecated.
`BETWEEN` Deprecated.
`NONE` Deprecated.

Method Summary
`static FacetParams.FacetDateOther` | `get(String label)` Deprecated.
`String` | `toString()` Deprecated.
`static FacetParams.FacetDateOther` | `valueOf(String name)` Deprecated. Returns the enum constant of this type with the specified name.
`static FacetParams.FacetDateOther[]` | `values()` Deprecated. Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### BEFORE

    public static final FacetParams.FacetDateOther BEFORE

  Deprecated.

### AFTER

    public static final FacetParams.FacetDateOther AFTER

  Deprecated.

### BETWEEN

    public static final FacetParams.FacetDateOther BETWEEN

  Deprecated.

### ALL

    public static final FacetParams.FacetDateOther ALL

  Deprecated.

### NONE

    public static final FacetParams.FacetDateOther NONE

  Deprecated.

Method Detail

### values

    public static final FacetParams.FacetDateOther[] values()

  Deprecated.
  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(FacetParams.FacetDateOther c : FacetParams.FacetDateOther.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static FacetParams.FacetDateOther valueOf(String name)

  Deprecated.
  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

### toString

    public String toString()

  Deprecated.
  Overrides:
    `toString` in class `Enum<FacetParams.FacetDateOther>`

### get

    public static FacetParams.FacetDateOther get(String label)

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD